summaryrefslogtreecommitdiff
path: root/plugins/cargo
diff options
context:
space:
mode:
Diffstat (limited to 'plugins/cargo')
-rw-r--r--plugins/cargo/README.md10
-rw-r--r--plugins/cargo/cargo.plugin.zsh27
2 files changed, 8 insertions, 29 deletions
diff --git a/plugins/cargo/README.md b/plugins/cargo/README.md
index 31bae4efe..93e69ae7f 100644
--- a/plugins/cargo/README.md
+++ b/plugins/cargo/README.md
@@ -1,11 +1,3 @@
# cargo
-This plugin adds completion for the Rust build tool [`Cargo`](https://github.com/rust-lang/cargo).
-
-To use it, add `cargo` to the plugins array in your zshrc file:
-
-```zsh
-plugins=(... cargo)
-```
-
-Updated on March 3rd, 2019, from [Cargo 0.34.0](https://github.com/rust-lang/cargo/releases/tag/0.34.0).
+**Deprecated: use the [`rust`](https://github.com/ohmyzsh/ohmyzsh/tree/master/plugins/rust) plugin instead.**
diff --git a/plugins/cargo/cargo.plugin.zsh b/plugins/cargo/cargo.plugin.zsh
index 9d1d23757..51a80d4f1 100644
--- a/plugins/cargo/cargo.plugin.zsh
+++ b/plugins/cargo/cargo.plugin.zsh
@@ -1,24 +1,11 @@
-if ! (( $+commands[rustup] && $+commands[cargo] )); then
- return
-fi
+print ${(%):-'%F{yellow}The `cargo` plugin is deprecated and has been moved to the `rust` plugin.'}
+print ${(%):-'Please update your .zshrc to use the `%Brust%b` plugin instead.%f'}
# Remove old generated completion file
-# TODO: 2021-09-15: remove this line
+# TODO: 2021-12-28: remove this line
command rm -f "${0:A:h}/_cargo"
-# Add completions/ folder in $ZSH_CACHE_DIR
-comp_file="$ZSH_CACHE_DIR/completions/_cargo"
-command mkdir -p "${comp_file:h}"
-(( ${fpath[(Ie)"$ZSH_CACHE_DIR/completions"]} )) || fpath=("$ZSH_CACHE_DIR/completions" $fpath)
-
-# If the completion file doesn't exist yet, we need to autoload it and
-# bind it to `cargo`. Otherwise, compinit will have already done that
-if [[ ! -f "$comp_file" ]]; then
- autoload -Uz _cargo
- declare -A _comps
- _comps[cargo]=_cargo
-fi
-
-# Generate completion file in the background
-rustup completions zsh cargo >| "$comp_file" &|
-unset comp_file
+(( ${fpath[(Ie)$ZSH/plugins/rust]} )) || {
+ fpath=("$ZSH/plugins/rust" $fpath)
+ source "$ZSH/plugins/rust/rust.plugin.zsh"
+}